---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterreachobj003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x1E20, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52150, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54090, symBinAddr: 0x9120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54480, symBinAddr: 0x9510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55420, symBinAddr: 0xA4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55430, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51DC0, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51DC4, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51DC8, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51F20, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51FD8, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x51FDC, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51FE0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51FE4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51FE8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51FF0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x52000, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52008, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52010, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52018, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52020, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52028, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL10objCounter, symObjAddr: 0x52070, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x52078, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52080, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL8userData, symObjAddr: 0x520BC, symBinAddr: 0x71DC, symSize: 0x0 }
  - { offsetInCU: 0x956F, offset: 0x956F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xAC0, symSize: 0x80 }
  - { offsetInCU: 0x9604, offset: 0x9604, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xA10, symSize: 0xB0 }
  - { offsetInCU: 0x965F, offset: 0x965F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x910, symSize: 0x100 }
  - { offsetInCU: 0x98F2, offset: 0x98F2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xB40, symSize: 0xC0 }
  - { offsetInCU: 0x9944, offset: 0x9944, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xC00, symSize: 0x220 }
  - { offsetInCU: 0x9B29, offset: 0x9B29, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xE20, symSize: 0xA0 }
  - { offsetInCU: 0x9BDC, offset: 0x9BDC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xEC0, symSize: 0x110 }
  - { offsetInCU: 0x9CD2, offset: 0x9CD2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xFD0, symSize: 0x150 }
  - { offsetInCU: 0x9E4F, offset: 0x9E4F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1120, symSize: 0x30 }
  - { offsetInCU: 0x9ED8, offset: 0x9ED8, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1150, symSize: 0x150 }
  - { offsetInCU: 0xA0D0, offset: 0xA0D0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x12A0, symSize: 0x160 }
  - { offsetInCU: 0xA390, offset: 0xA390, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1400, symSize: 0x4A0 }
  - { offsetInCU: 0xA603, offset: 0xA603, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x18A0, symSize: 0x1B0 }
  - { offsetInCU: 0xA81E, offset: 0xA81E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1A50, symSize: 0xA0 }
  - { offsetInCU: 0xA8ED, offset: 0xA8ED, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1AF0, symSize: 0x20 }
  - { offsetInCU: 0xA924, offset: 0xA924, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1B10, symSize: 0x20 }
  - { offsetInCU: 0xA95B, offset: 0xA95B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1B30, symSize: 0x20 }
  - { offsetInCU: 0xAACA, offset: 0xAACA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1B50, symSize: 0x1A0 }
  - { offsetInCU: 0xADE6, offset: 0xADE6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x1CF0, symSize: 0x130 }
  - { offsetInCU: 0xAF96, offset: 0xAF96, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2090, symSize: 0x1B0 }
  - { offsetInCU: 0xB285, offset: 0xB285, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2240, symSize: 0x80 }
  - { offsetInCU: 0xB34E, offset: 0xB34E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x22C0, symSize: 0x6A0 }
  - { offsetInCU: 0xBEE3, offset: 0xBEE3, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAC90, symBinAddr: 0x40E0, symSize: 0xB0 }
  - { offsetInCU: 0xBF5A, offset: 0xBF5A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2960, symSize: 0x70 }
  - { offsetInCU: 0xC016, offset: 0xC016, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x29D0, symSize: 0xA0 }
  - { offsetInCU: 0xC0F5, offset: 0xC0F5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2A70, symSize: 0x40 }
  - { offsetInCU: 0xC1EB, offset: 0xC1EB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2AB0, symSize: 0x2B0 }
  - { offsetInCU: 0xC591, offset: 0xC591, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2D60, symSize: 0xC0 }
  - { offsetInCU: 0xC6D7, offset: 0xC6D7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2E20, symSize: 0x10 }
  - { offsetInCU: 0xC799, offset: 0xC799, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2E30, symSize: 0x220 }
  - { offsetInCU: 0xCA96, offset: 0xCA96, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3050, symSize: 0x10 }
  - { offsetInCU: 0xCAF3, offset: 0xCAF3, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3060, symSize: 0x1F0 }
  - { offsetInCU: 0xCD5E, offset: 0xCD5E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E00, symBinAddr: 0x3250, symSize: 0x10 }
  - { offsetInCU: 0xCDDB, offset: 0xCDDB, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0x9E10, symBinAddr: 0x3260, symSize: 0x430 }
  - { offsetInCU: 0xD334, offset: 0xD334, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0xA240, symBinAddr: 0x3690, symSize: 0x430 }
  - { offsetInCU: 0xD8C7, offset: 0xD8C7, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0xA670, symBinAddr: 0x3AC0, symSize: 0x440 }
  - { offsetInCU: 0xDEB6, offset: 0xDEB6, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAAB0, symBinAddr: 0x3F00, symSize: 0x1E0 }
  - { offsetInCU: 0xE0DE, offset: 0xE0DE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAD40, symBinAddr: 0x4190, symSize: 0x36A }
...
